> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List fact collectors



## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml get /fact-collectors
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /fact-collectors:
    get:
      tags:
        - FactCollectors
      summary: List fact collectors
      operationId: getFactCollectors
      responses:
        '200':
          description: List of fact collectors the caller can read
          content:
            application/json:
              schema:
                type: object
                required:
                  - factCollectors
                properties:
                  factCollectors:
                    type: array
                    items:
                      $ref: '#/components/schemas/FactCollector'
                additionalProperties: false
components:
  schemas:
    FactCollector:
      type: object
      required:
        - collectorId
        - config
      properties:
        collectorId:
          type: string
        config:
          oneOf:
            - $ref: '#/components/schemas/ConfigurableFactCollectorConfig'
            - $ref: '#/components/schemas/NonConfigurableFactCollectorConfig'
      additionalProperties: false
    ConfigurableFactCollectorConfig:
      type: object
      required:
        - collects
      properties:
        collects:
          type: array
          items:
            $ref: '#/components/schemas/BaseFactExtractor'
      additionalProperties: false
    NonConfigurableFactCollectorConfig:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          enum:
            - Collector not configurable
      additionalProperties: false
    BaseFactExtractor:
      type: object
      additionalProperties: true

````